Package org.apache.axiom.om

# Class OMOutputFormat

java.lang.Object
org.apache.axiom.om.OMOutputFormat

public class OMOutputFormat extends Object
Formats options for OM Output.

Setting of all the properties in a OMOutputFormat should be done before calling the getContentType() method. It is advised to set all the properties at the creation time of the OMOutputFormat and not to change them later.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACTION_PROPERTY`
  `static final String`
  `DEFAULT_CHAR_SET_ENCODING`
  Field DEFAULT_CHAR_SET_ENCODING.
  `static final String`
  `RESPECT_SWA_ATTACHMENT_ORDER`
  Deprecated.
  As of version 1.2.13, Axiom always respects the order of attachments.
  `static final Boolean`
  `RESPECT_SWA_ATTACHMENT_ORDER_DEFAULT`
  Deprecated.
  As of version 1.2.13, Axiom always respects the order of attachments.
  `static final String`
  `USE_CTE_BASE64_FOR_NON_TEXTUAL_ATTACHMENTS`
  Deprecated.
  Use `ContentTransferEncodingPolicy.USE_BASE64_FOR_NON_TEXTUAL_PARTS` instead.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OMOutputFormat()`
  `OMOutputFormat(OMOutputFormat format)`
  Constructs a new instance by copying the configuration from an existing instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsKey(String key)`
  `String`
  `getCharSetEncoding()`
  Returns the character set encoding scheme.
  `ContentTransferEncodingPolicy`
  `getContentTransferEncodingPolicy()`
  `String`
  `getContentType()`
  Return the content-type value that should be written with the message.
  `String`
  `getContentTypeForMTOM(String SOAPContentType)`
  Generates a Content-Type value for MTOM messages.
  `String`
  `getContentTypeForSwA(String SOAPContentType)`
  `ContentTypeProvider`
  `getContentTypeProvider()`
  `String`
  `getMimeBoundary()`
  `String`
  `getNextContentId()`
  `int`
  `getOptimizedThreshold()`
  `Object`
  `getProperty(String key)`
  `String`
  `getRootContentId()`
  `StAXWriterConfiguration`
  `getStAXWriterConfiguration()`
  Deprecated.
  `String`
  `getXmlVersion()`
  `boolean`
  `isAutoCloseWriter()`
  Deprecated.
  `boolean`
  `isDoingSWA()`
  Indicates whether the document should be serialized using SwA.
  `boolean`
  `isIgnoreXMLDeclaration()`
  `boolean`
  `isOptimized()`
  Indicates whether the document should be serialized using MTOM.
  `boolean`
  `isSOAP11()`
  `void`
  `setAutoCloseWriter(boolean autoCloseWriter)`
  Deprecated.
  `void`
  `setCharSetEncoding(String charSetEncoding)`
  `void`
  `setContentTransferEncodingPolicy(ContentTransferEncodingPolicy contentTransferEncodingPolicy)`
  `void`
  `setContentType(String c)`
  Set a raw content-type (i.e.
  `void`
  `setContentTypeProvider(ContentTypeProvider contentTypeProvider)`
  `void`
  `setDoingSWA(boolean doingSWA)`
  Specifies that the document should be serialized using SwA (SOAP with Attachments).
  `void`
  `setDoOptimize(boolean optimize)`
  Specifies that the document should be serialized using MTOM.
  `void`
  `setIgnoreXMLDeclaration(boolean ignoreXMLDeclaration)`
  `void`
  `setMimeBoundary(String mimeBoundary)`
  `void`
  `setOptimizedThreshold(int optimizedThreshold)`
  `Object`
  `setProperty(String key, Object value)`
  `void`
  `setRootContentId(String rootContentId)`
  `void`
  `setSOAP11(boolean b)`
  `void`
  `setStAXWriterConfiguration(StAXWriterConfiguration writerConfiguration)`
  Deprecated.
  `void`
  `setXmlVersion(String xmlVersion)`
  `String`
  `toString()`
  Use toString for logging state of the OMOutputFormat

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_CHAR_SET_ENCODING

    public static final String DEFAULT_CHAR_SET_ENCODING
    Field DEFAULT_CHAR_SET_ENCODING. Specifies the default character encoding scheme to be used.
    See Also:
      - Constant Field Values

  - ### ACTION_PROPERTY

    public static final String ACTION_PROPERTY
    See Also:
      - Constant Field Values

  - ### USE_CTE_BASE64_FOR_NON_TEXTUAL_ATTACHMENTS

    public static final String USE_CTE_BASE64_FOR_NON_TEXTUAL_ATTACHMENTS
    Deprecated.
    Use `ContentTransferEncodingPolicy.USE_BASE64_FOR_NON_TEXTUAL_PARTS` instead.
    See Also:
      - Constant Field Values

  - ### RESPECT_SWA_ATTACHMENT_ORDER

    public static final String RESPECT_SWA_ATTACHMENT_ORDER
    Deprecated.
    As of version 1.2.13, Axiom always respects the order of attachments.
    See Also:
      - Constant Field Values

  - ### RESPECT_SWA_ATTACHMENT_ORDER_DEFAULT

    public static final Boolean RESPECT_SWA_ATTACHMENT_ORDER_DEFAULT
    Deprecated.
    As of version 1.2.13, Axiom always respects the order of attachments.

- ## Constructor Details

  - ### OMOutputFormat

    public OMOutputFormat()

  - ### OMOutputFormat

    public OMOutputFormat(OMOutputFormat format)
    Constructs a new instance by copying the configuration from an existing instance. Note that this will only copy configuration data, but not information that is subject to auto-generation, such as the root content ID or the MIME boundary.
    Parameters:
      `format` - the existing instance

- ## Method Details

  - ### getProperty

    public Object getProperty(String key)
    Parameters:
      `key` - String
    Returns:
      property or null

  - ### setProperty

    public Object setProperty(String key, Object value)
    Parameters:
      `key` - String
      `value` - Object
    Returns:
      old value or null

  - ### containsKey

    public boolean containsKey(String key)
    Parameters:
      `key` -
    Returns:
      true if known key

  - ### isOptimized

    public boolean isOptimized()
    Indicates whether the document should be serialized using MTOM.
    Returns:
      `true` if the document should be serialized using MTOM; `false` otherwise; the return value is always `false` if `isDoingSWA()` returns `true`

  - ### getContentType

    public String getContentType()
    Return the content-type value that should be written with the message. (i.e. if optimized, then a multipart/related content-type is returned).
    Returns:
      content-type value

  - ### setContentType

    public void setContentType(String c)
    Set a raw content-type (i.e. "text/xml" (SOAP 1.1) or "application/xml" (REST)) If this method is not invoked, OMOutputFormat will choose a content-type value consistent with the soap version.
    Parameters:
      `c` -

  - ### getMimeBoundary

    public String getMimeBoundary()

  - ### getRootContentId

    public String getRootContentId()

  - ### getNextContentId

    public String getNextContentId()

  - ### getCharSetEncoding

    public String getCharSetEncoding()
    Returns the character set encoding scheme.
    Returns:
      Returns encoding string or null if it has not been set.

  - ### setCharSetEncoding

    public void setCharSetEncoding(String charSetEncoding)

  - ### getXmlVersion

    public String getXmlVersion()

  - ### setXmlVersion

    public void setXmlVersion(String xmlVersion)

  - ### setSOAP11

    public void setSOAP11(boolean b)

  - ### isSOAP11

    public boolean isSOAP11()

  - ### isIgnoreXMLDeclaration

    public boolean isIgnoreXMLDeclaration()

  - ### setIgnoreXMLDeclaration

    public void setIgnoreXMLDeclaration(boolean ignoreXMLDeclaration)

  - ### setDoOptimize

    public void setDoOptimize(boolean optimize)
    Specifies that the document should be serialized using MTOM. Note that this setting is ignored if SwA is enabled using `setDoingSWA(boolean)`.
    Parameters:
      `optimize` - `true` if the document should be serialized using MTOM; `false` otherwise

  - ### isDoingSWA

    public boolean isDoingSWA()
    Indicates whether the document should be serialized using SwA.
    Returns:
      `true` if the document should be serialized using SwA; `false` otherwise

  - ### setDoingSWA

    public void setDoingSWA(boolean doingSWA)
    Specifies that the document should be serialized using SwA (SOAP with Attachments). When SwA is enabled, then any configuration done using `setDoOptimize(boolean)` is ignored.
    Parameters:
      `doingSWA` - `true` if the document should be serialized using SwA; `false` otherwise

  - ### getContentTypeForMTOM

    public String getContentTypeForMTOM(String SOAPContentType)
    Generates a Content-Type value for MTOM messages. This is a MIME Multipart/Related Content-Type value as defined by RFC 2387 and the XOP specification. The generated header will look like the following: Content-Type: multipart/related; boundary="[MIME BOUNDARY VALUE]"; type="application/xop+xml"; start="[MESSAGE CONTENT ID]"; start-info="[MESSAGE CONTENT TYPE]";
    Parameters:
      `SOAPContentType` -
    Returns:
      TODO

  - ### getContentTypeForSwA

    public String getContentTypeForSwA(String SOAPContentType)

  - ### isAutoCloseWriter

    public boolean isAutoCloseWriter()
    Deprecated.

  - ### setAutoCloseWriter

    public void setAutoCloseWriter(boolean autoCloseWriter)
    Deprecated.

  - ### setMimeBoundary

    public void setMimeBoundary(String mimeBoundary)

  - ### setRootContentId

    public void setRootContentId(String rootContentId)

  - ### toString

    public String toString()
    Use toString for logging state of the OMOutputFormat
    Overrides:
      `toString` in class `Object`

  - ### setOptimizedThreshold

    public void setOptimizedThreshold(int optimizedThreshold)

  - ### getOptimizedThreshold

    public int getOptimizedThreshold()

  - ### getStAXWriterConfiguration

    public StAXWriterConfiguration getStAXWriterConfiguration()
    Deprecated.
    Get the currently configured StAX writer configuration.
    Returns:
      the current configuration; `StAXWriterConfiguration.DEFAULT` if none has been set explicitly

  - ### setStAXWriterConfiguration

    public void setStAXWriterConfiguration(StAXWriterConfiguration writerConfiguration)
    Deprecated.
    Set the StAX writer configuration that will be used when requesting an `XMLStreamWriter` from `StAXUtils`.
    Parameters:
      `writerConfiguration` - the configuration

  - ### getContentTypeProvider

    public ContentTypeProvider getContentTypeProvider()

  - ### setContentTypeProvider

    public void setContentTypeProvider(ContentTypeProvider contentTypeProvider)

  - ### getContentTransferEncodingPolicy

    public ContentTransferEncodingPolicy getContentTransferEncodingPolicy()

  - ### setContentTransferEncodingPolicy

    public void setContentTransferEncodingPolicy(ContentTransferEncodingPolicy contentTransferEncodingPolicy)